%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-liblarch_gtk
Version:        0.1.0
Release:        1%{?dist}
Summary:        Liblarch gtk binding for use in Gtk.Treevew

License:        LGPLv3+
URL:            https://live.gnome.org/liblarch
Source0:        http://gtg.fritalk.com/publique/gtg.fritalk.com/liblarch/0.1/liblarch_gtk-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       pygobject2 pygtk2

%description
liblarch-gtk is a liblarch binding that will allow you to use your 
data structure into a Gtk.Treeview.

%prep
%setup -q -n liblarch_gtk-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc AUTHORS LICENSE README
%{python_sitelib}/*


%changelog
* Tue Feb 14 2012 Yanko Kaneti <yaneti@declera.com> - 0.1.0-1
- Attempt at packaging
